## org.eclipse.emf.ecore
Interface EEnum

All Superinterfaces:
  EClassifier, EDataType, EModelElement, ENamedElement, EObject, Notifier

All Known Implementing Classes:
  EEnumImpl

    public interface EEnum

extends EDataType

A representation of the model object 'EEnum'.

The following features are supported:

- `ELiterals`

See Also:
  `EcorePackage.getEEnum()`

Method Summary
`EEnumLiteral` `getEEnumLiteral(int value)` Returns the enum literal with the given value, or `null`.
`EEnumLiteral` `getEEnumLiteral(java.lang.String name)` Returns the enum literal with the given name, or `null`.
`EEnumLiteral` `getEEnumLiteralByLiteral(java.lang.String literal)` Returns the enum literal with the given literal value, or `null`.
`EList<EEnumLiteral>` `getELiterals()` Returns the value of the 'ELiterals' containment reference list.

Methods inherited from interface org.eclipse.emf.ecore.EDataType
`isSerializable, setSerializable`

Methods inherited from interface org.eclipse.emf.ecore.EClassifier
`getClassifierID, getDefaultValue, getEPackage, getETypeParameters, getInstanceClass, getInstanceClassName, getInstanceTypeName, isInstance, setInstanceClass, setInstanceClassName, setInstanceTypeName`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getELiterals

    EList<EEnumLiteral> getELiterals()

  Returns the value of the 'ELiterals' containment reference list. The list contents are of type `EEnumLiteral`. It is bidirectional and its opposite is '`EEnum`'.

  It represents the enumerators of the enumeration.

  Returns:
    the value of the 'ELiterals' containment reference list.
  See Also:
    `EcorePackage.getEEnum_ELiterals()`, `EEnumLiteral.getEEnum()`

### getEEnumLiteral

    EEnumLiteral getEEnumLiteral(java.lang.String name)

  Returns the enum literal with the given name, or `null`.

  Parameters:
    `name` - name in question.
  Returns:
    the enum literal with the given name, or `null`.

### getEEnumLiteral

    EEnumLiteral getEEnumLiteral(int value)

  Returns the enum literal with the given value, or `null`. The values may not be unique; it returns the first.

  Parameters:
    `value` - value in question.
  Returns:
    the enum literal with the given value, or `null`.

### getEEnumLiteralByLiteral

    EEnumLiteral getEEnumLiteralByLiteral(java.lang.String literal)

  Returns the enum literal with the given literal value, or `null`.

  Parameters:
    `literal` - literal in question.
  Returns:
    the enum literal with the given literal value, or `null`.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.